Page MenuHomePhabricator

Archivebot does not work anymore for me
Closed, ResolvedPublic

Description

$ python pwb.py archivebot Archivace -lang:cs -family:wikipedia
Fetching template transclusions...
Processing [[cs:Diskuse:Moravská vlajka]]
0 thread(s) found on [[cs:Diskuse:Moravská vlajka]]
Looking for: {{Šablona:Archivace}} in [[cs:Diskuse:Moravská vlajka]]
ERROR: Missing or malformed template in page [[cs:Diskuse:Moravská vlajka]]: Missing or malformed template
Processing [[cs:Diskuse:Česko]]
10 thread(s) found on [[cs:Diskuse:Česko]]
Looking for: {{Šablona:Archivace}} in [[cs:Diskuse:Česko]]
ERROR: Missing or malformed template in page [[cs:Diskuse:Česko]]: Missing or malformed template

...

ERROR: Missing or malformed template in page [[cs:page]]: Missing or malformed template

Details

Related Gerrit Patches:

Event Timeline

Dvorapa created this task.Jul 21 2019, 12:22 PM
Dvorapa updated the task description. (Show Details)Jul 21 2019, 12:23 PM

The template is correct, just the comparison does not work

Change 524673 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [bugfix] Fix the comparison in archivebot

https://gerrit.wikimedia.org/r/524673

Dvorapa claimed this task.Jul 21 2019, 12:42 PM
Dvorapa triaged this task as High priority.
Dvorapa moved this task from Backlog to Needs Review on the Pywikibot board.
Dvorapa added subscribers: Mpaa, Xqt.

Change 524673 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Fix the comparison in archivebot

https://gerrit.wikimedia.org/r/524673

Xqt closed this task as Resolved.Jul 21 2019, 1:04 PM

This fix broke archiving at nowiki and sewiki, where I included the namespace in the bot call:

python $PYWIKI/scripts/archivebot.py -lang:no "Bruker:ArkivBot/autoarkivering"

Not a big issue though. I will update my bot.

Mpaa reopened this task as Open.Aug 6 2019, 1:42 PM

It also broke archiving on en.wikisource, which uses "User:Wikisource-bot/config".

Change 528474 had a related patch set uploaded (by Mpaa; owner: Mpaa):
[pywikibot/core@master] [bugfix] Fix the comparison in archivebot

https://gerrit.wikimedia.org/r/528474

Just came to report the same. I am on pywikibot master as well and this broke archiving on my bots.

Mentioned in SAL (#wikimedia-cloud) [2019-08-08T10:15:25Z] <wm-bot> <maurelio> Temporary disable archiving until T228587 is fixed.

Add it.wiki to the list. Probably, it's best to revert the last edits until you figure out a solution for what you're attempting to accomplish.

whym added a subscriber: whym.Aug 10 2019, 11:09 AM

The solution is ready for 5 days, but I have no time to review as I'm in the UK currently

Change 528474 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Fix the comparison in archivebot

https://gerrit.wikimedia.org/r/528474

Xqt closed this task as Resolved.Aug 16 2019, 2:28 PM